## ESourceMailTransport

ESourceMailTransport — ESource extension for an email transport

## Types and Values

#define | E_SOURCE_EXTENSION_MAIL_TRANSPORT
struct | ESourceMailTransport
struct | ESourceMailTransportClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceMailTransport extension identifies the ESource as a mail transport which describes where to send outgoing messages.

Access the extension as follows:

    1
    2
    3
    4
    5

    #include <libedataserver/libedataserver.h>

    ESourceMailTransport *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_MAIL_TRANSPORT);

## Functions

## Types and Values

### E_SOURCE_EXTENSION_MAIL_TRANSPORT

    #define E_SOURCE_EXTENSION_MAIL_TRANSPORT "Mail Transport"

Pass this extension name to `e_source_get_extension()` to access ESourceMailTransport. This is also used as a group name in key files.

Since 3.6

### struct ESourceMailTransport

    struct ESourceMailTransport {
    	ESourceBackend parent;
    	ESourceMailTransportPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since 3.6

### struct ESourceMailTransportClass

    struct ESourceMailTransportClass {
    	ESourceBackendClass parent_class;
    };